<!-- header -->
<app-side-modal-header>
  <!-- title -->
  <app-side-modal-title>
    CREATE NEW<br />
    SPACE
  </app-side-modal-title>
</app-side-modal-header>

<!-- content -->
<app-side-modal-content>
  <div class="app-label header">
    Complete the data below
  </div>

  <app-custom-scrollbar>
    <!-- name -->
    <app-form-field [control]="name" [errors]="nameErrors" label="Name" type="input"></app-form-field>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <app-spinner *ngIf="loading; else actions"></app-spinner>

  <ng-template #actions>
    <button (click)="submit()" appFlatButton theme="secondary">
      Submit
    </button>

    <button (click)="cancelClick.emit()" appInlineButton theme="secondary">
      Cancel
    </button>
  </ng-template>
</app-side-modal-footer>
